// attributes
attribute vec3 a_pos;
attribute lowp vec2 TexCoordIn;

// uniforms
uniform mat4 mvp;

uniform float w_size;
uniform float h_size;

// internal variables
varying lowp vec2 v_TexCoordinate;

void main()
{
    v_TexCoordinate = TexCoordIn;
    
    vec4 result = mvp * vec4(a_pos.xy, 0.0, 1.0);
    
//    if((result.y / result.w) > 0.0) {
//       result = vec4(0.0, 0.0, 0.0, 0.0);
//    }
    
    if(a_pos.z == 0.0) {
        gl_Position = vec4(result.x - w_size * result.w, result.yzw);
    } else if(a_pos.z == 1.0) {
        gl_Position = vec4(result.x - w_size * result.w, result.y + h_size * result.w, result.zw);
    } else if(a_pos.z == 2.0) {
        gl_Position = vec4(result.x + w_size * result.w, result.y + h_size * result.w, result.zw);
    } else if(a_pos.z == 3.0) {
        gl_Position = vec4(result.x + w_size * result.w , result.yzw);
    }
}