// attributes
attribute vec3 a_pos;
attribute vec2 a_coord;
attribute vec4 a_color;

// uniforms
uniform mat4 mvp;

//uniform float w_size;
//uniform float h_size;
uniform float w_mode;

// internal variables
varying vec2 v_coord;
varying vec4 v_color;
varying float v_mode;

void main()
{
    v_coord = a_coord;
    v_color = a_color;
    v_mode = w_mode;
    gl_Position = mvp * vec4(a_pos, 1.0);
}
