// The input texture.
uniform sampler2D color0;

// Set the default precision to medium. We don't need as high of a
// precision in the fragment shader.
precision lowp float;

//uniform vec4 u_Color;

// Interpolated texture coordinate per fragment.
varying vec2 v_TexCoordinate;

// The entry point for our fragment shader.
void main()
{
    //calculate the fragment color based on the texture and the vertex colour
//    vec4 basecolor = texture2D(color0, v_TexCoordinate);

    //if testing is enabled, check the alpha component and discard if zero
//    if (basecolor.a == 0.0) {
//        //throw this fragment away
//        discard;
//    }
    
    gl_FragColor = texture2D(color0, v_TexCoordinate);
    
    if(gl_FragColor.a <= 0.60)
        discard;

}
