//precision mediump float;
//precision mediump int;

//default
//precision highp float;
//precision highp int;
//precision lowp sampler2D;
//precision lowp samplerCube;

// attributes
attribute vec3 a_pos;
attribute vec4 a_color;

// uniforms
uniform mat4 mvp;

//variable
varying lowp vec4 DestinationColor;

void main(void)
{
    DestinationColor = a_color;
    gl_Position = mvp * vec4(a_pos.xyz, 1.0);
}

/*
 varying vec3 DiffuseColor;
 varying vec3 SpecularColor;
 void main(void)
 {
 vec3 LightPosition = vec3 (0.0f, 0.0f, 2.0f);
 vec3 LightColor = vec3 (1.0f, 1.0f, 1.0f);
 vec3 EyePosition = vec3 (0.0f, 0.0f, 1.5f);
 vec3 Specular = vec3 (0.5f, 0.5f, 0.5f);
 vec3 Ambient = vec3 (0.5f, 0.5f, 0.5f);
 float Kd = 0.5f;
 vec3 ecPosition = vec3 (gl_ModelViewMatrix * gl_Vertex);
 vec3 tnorm = normalize(gl_NormalMatrix * gl_Normal);
 vec3 lightVec = normalize(LightPosition - ecPosition);
 vec3 viewVec = normalize(EyePosition - ecPosition);
 vec3 hvec = normalize(viewVec + lightVec);
 
 float spec = clamp(dot(hvec, tnorm), 0.0f, 1.0f);
 spec = pow(spec, 15.0f);
 
 DiffuseColor = LightColor * vec3 (Kd * dot(lightVec, tnorm));
 DiffuseColor = clamp(Ambient + DiffuseColor, 0.0f, 1.0f);
	SpecularColor = clamp((LightColor * Specular * spec), 0.0f, 1.0f);
 
	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_Position = ftransform();
 }
 */