// attributes
attribute vec3 a_pos;
attribute vec2 a_coord;
attribute vec4 a_color;

// uniforms
uniform mat4 mvp;

uniform float w_size;
uniform float h_size;

// internal variables
varying vec2 v_coord;
varying vec4 v_color;

void main()
{
    v_color = a_color;
    v_coord = a_coord;
    gl_Position = mvp * vec4(a_pos.xyz, 1.0);
}
